﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="BigBankWeb._Default" MasterPageFile="BigBank.Master" %>
<%@ Import Namespace="BigBankLib.Domain" %>
<%@ Import Namespace="BigBankLib.Text" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Body" runat="server">
    
    <p>
        Here is a summary of your accounts.
    </p>
    
    <table cellspacing="8">
    
    <thead>
        <tr>
            <th align="left">Account Name</th>
            <th align="left">Account Number</th>
            <th align="left">Type</th>
            <th align="right">Balance</th>
        </tr>
    </thead>
    
    <%
        foreach (BankAccount bankAccount in BankAccounts)
        {
    %>
        <tr>
        
        <td align="left">
            <a href="Account.aspx?AccountNumber=<%= bankAccount.Number %>"><%= bankAccount.Name %></a>
        </td>
        <td align="left">
            <%= bankAccount.Number %>
        </td>
        <td align="left">
            <%= bankAccount.Type %>
        </td>
        <td align="right">
            <%= new MonetaryAmountFormatter().Format(bankAccount.Balance) %>
        </td>
        
        </tr>
    <%
        }
    %>
    </table>
    
</asp:Content>
